<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host.server-config.path">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="path-feature,relative-to"/>
        <elem name="op-params-mapping" value="path,relative-to"/>
        <elem name="addr-params" value="host,server-config,path"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host.server-config"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.path.$path"/>
    </provides>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
    </requires>
    <refs>
        <ref feature="host.server-config"/>
        <ref feature="host"/>
    </refs>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="path" feature-id="true"/>
        <param name="relative-to" nillable="true"/>
        <param name="server-config" feature-id="true"/>
        <param name="path-feature"/>
    </params>
</feature-spec>